## Authentication

> To verify if the token is valid, you can use the following endpoint:

```shell
curl -X GET 'https://api.nuuvem.com/v3/no-country-ping' \
  -H "Authorization: Bearer ${NUUVEM_API_TOKEN}" \
  -H "Accept: application/vnd.api+json"
```

> The above command returns the following response if the token is correct and the user is enabled to use the API:

```json
{
  "ping": "pong",
  "text": "Hello World!",
  "store": null
}
```

The Store API uses API keys to allow access to it. For now, while this API is in beta, only **selected partners** are allowed access. You can request API access via [our support page](https://www.nuuvem.com/-en/support). Please explain who you (and your company, if any) are, what usage of the API you would need and how it would be beneficial to you.

After API access is granted (we'll let you know via email), you can register a new Store API key at your [account details page](https://secure.nuuvem.com/-en/account/details). You will need a Nuuvem store account.

It is expected that the requester include the API key in **all requests to the server** in an `Authorization` header that looks like the following:

`Authorization: Bearer token-value`

We also expect you to pass a header informing the correct media type supported by our API, which is:

`Accept: application/vnd.api+json`

You can click [here](https://jsonapi.org/) for more information about JSON API.

<aside class="notice">
You must replace <code>token-value</code> with your personal API key.
</aside>

```shell
  export NUUVEM_API_TOKEN="token-value"
```

<aside class="notice">
To simplify the examples for subsequent requests, consider exporting your API key to an environment variable named <code>NUUVEM_API_TOKEN</code>.
</aside>
